<?php

function accessible_fix_admin_module_fixes_filter($form) {

  $form['accessible_fix']['filter'] = array(
    '#type' => 'fieldset',
    '#title' => t('Filter Module Fixes'),
    '#collapsible' => TRUE,
    '#collapsed' => (!variable_get('accessible_fix_filter_html_addl', FALSE))
  );

  $form['accessible_fix']['filter']['accessible_fix_filter_html_addl'] = array(
    '#type' => 'checkbox',
    '#title' => t('Add h2-h6 tags to filtered html input format'),
    '#description' => t('This will allow authors to use h2-h6 tags in the default filter format (filtered html)'),
    '#default_value' => variable_get('accessible_fix_filter_html_addl', FALSE),
  );
  return $form;
}
    

function accessible_fix_admin_module_fixes_filter_submit($form, &$form_state) {
 
  $values = $form_state['values'];
  $html_addl = $values['accessible_fix_filter_html_addl'];
  if ($values['op'] == t('Reset') && $values['confirm'] == 1) {
    variable_set('accessible_fix_filter_html_addl', FALSE);
  }
  else {
    variable_set('accessible_fix_filter_html_addl', $html_addl);
    if ($html_addl) {
      $result = db_query('SELECT * FROM {filter} WHERE name = \'filter_html\' ');
      foreach ($result as $record) {
        $settings = unserialize($record->settings);
        $tags = join(' ', array_merge(explode(' ', $settings['allowed_html']), explode(' ', ACCESSIBLE_FIX_FILTER_HTML_TAG_ADDITIONS)));
        if ($tags != $settings['allowed_html']) {
          $settings['allowed_html'] = $tags;
          db_merge('filter')
            ->key(array(
            'format' => $record->format,
            'name' => $record->name,
            ))
            ->fields(array('settings' => serialize($settings)))
            ->execute();        
        }
      }
    }
  }
  filter_formats_reset();
}



    
    

